Subject: Compiling mod_ssl as a DSO for Apache 1.3.12

From: "Simon Donally" <[email-masked]>
Date: Mon, 10 Feb 2003 10:37:32 +0200

Hi List Users

I am trying to compile Apache with mod_ssl as a DSO, I'm using a relatively old version of Apache software as this particular version functions without errors on the system. The software versions are listed below

Solaris 2.6
Apache 1.3.12
Modssl 2.6.6

I have read numerous articles on the internet concerning this procedure and have followed all the necessary steps, this has taken about a week and I still cannot get Apache to start without error when I use the apachectl startssl command.

1)	I compile openssl 0.9.6b as follows
a.	make clean
b.	make test
c.	make build-shared

		This creates libssl.so, libssl.so.0 and libssl.so.0.9.6

2)	I configure mod-ssl as follows
a.	./configure \
				--with-apache =/home/simon/apache_1.3.12 \
				--with-ssl       =/home/simon/Openssl_0.9.6b/openssl_0.9.6b \
				--prefix          =/home/simon/Apache12SO \
				--enable-module=ssl

3)	I compile Apache
a.	make
b.	make certificate
c.	make install

I obtain the following errors

A)	Using the version of libssl.so created by compiling Apache, this is smaller than the libssl.so.0.9.6 created by modssl, and when loaded complains of unresolved symbols

bash-2.02$ apachectl startssl

Syntax error on line 208 of /home/simon/Apache12SO/conf/httpd.conf:

Cannot load /home/simon/Apache12SO/libexec/libssl.so into server: ld.so.1
: /home/simon/Apache12SO/bin/httpd: fatal: relocation error: file /home/simon/Apache12SO/libexec/libssl.so: symbol ap_user_id: referenced symbol not found
.//apachectl startssl: httpd could not be started

B)	Removing /usr/local/ssl/libfrom LD_LIBRARY_PATH

bash-2.02$ echo $LD_LIBRARY_PATH

/home/simon/Apache12SO/libexec:/usr/X/lib:/usr/openwin/lib:/usr/dt/lib:/oracle/oracle816/lib:/opt/ALCHTS/j2sdk1_3_1_01/lib:/usr/java1.1/lib:
/opt/htuser/ALCHTS/bin/openldap/lib:/opt/htuser/ALCHTS/bin/apache/libexec:/usr/ucblib:/oracle/oracle816/jre/1.1.8/lib

bash-2.02$ apachectl startssl

Syntax error on line 208 of /home/simon/Apache12SO/conf/httpd.conf:
Cannot load /home/simon/Apache12SO/libexec/libssl.so into server: ld.so.1: /home/simon/Apache12SO/bin/httpd: fatal: libcrypto.so.0.9.6: open failed: No such file or directory
.//apachectl startssl: httpd could not be started
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]